/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMTERMINOS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmterminos.findAll", query = "SELECT t FROM Tarmterminos t"),
    @NamedQuery(name = "Tarmterminos.findByCterminos", query = "SELECT t FROM Tarmterminos t WHERE t.cterminos = :cterminos"),
    @NamedQuery(name = "Tarmterminos.findByAcepta", query = "SELECT t FROM Tarmterminos t WHERE t.acepta = :acepta"),
    @NamedQuery(name = "Tarmterminos.findByIdentificacion", query = "SELECT t FROM Tarmterminos t WHERE t.identificacion = :identificacion"),
    @NamedQuery(name = "Tarmterminos.findByFecharegistro", query = "SELECT t FROM Tarmterminos t WHERE t.fecharegistro = :fecharegistro"),
    @NamedQuery(name = "Tarmterminos.findByDocumento", query = "SELECT t FROM Tarmterminos t WHERE t.documento = :documento")})
public class Tarmterminos implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CTERMINOS")
    private Integer cterminos;
    @Column(name = "ACEPTA")
    private String acepta;
    @Column(name = "IDENTIFICACION")
    private String identificacion;
    @Column(name = "FECHAREGISTRO")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecharegistro;
    @Column(name = "DOCUMENTO")
    private String documento;

    public Tarmterminos() {
    }

    public Tarmterminos(Integer cterminos) {
        this.cterminos = cterminos;
    }

    public Integer getCterminos() {
        return cterminos;
    }

    public void setCterminos(Integer cterminos) {
        this.cterminos = cterminos;
    }

    public String getAcepta() {
        return acepta;
    }

    public void setAcepta(String acepta) {
        this.acepta = acepta;
    }

    public String getIdentificacion() {
        return identificacion;
    }

    public void setIdentificacion(String identificacion) {
        this.identificacion = identificacion;
    }

    public Date getFecharegistro() {
        return fecharegistro;
    }

    public void setFecharegistro(Date fecharegistro) {
        this.fecharegistro = fecharegistro;
    }

    public String getDocumento() {
        return documento;
    }

    public void setDocumento(String documento) {
        this.documento = documento;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (cterminos != null ? cterminos.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmterminos)) {
            return false;
        }
        Tarmterminos other = (Tarmterminos) object;
        if ((this.cterminos == null && other.cterminos != null) || (this.cterminos != null && !this.cterminos.equals(other.cterminos))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmterminos[ cterminos=" + cterminos + " ]";
    }
    
}
